Loading...
Searching...
No Matches
concept.hpp File Reference

Provides concepts for the configuration classes. More...

`#include <array>`
`#include <concepts>`
`#include <functional>`
`#include <type_traits>`
`#include <seqan3/core/detail/template_inspection.hpp>`
Include dependency graph for core/configuration/detail/concept.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Variables

template<typename config1_t, typename config2_t>
constexpr bool | seqan3::is_config_element_combineable_v = detail::config_element_pipeable_with<config1_t, config2_t>
| Helper variable template to test if a configuration element is combineable with another configuration element or configuration.

## Detailed Description

Provides concepts for the configuration classes.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me